/* Status icon mixmos*/
/* Mick Amadio (c) 2011 GPL 3 */
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.
//      
/* gcc -o mixer_tray mixer_tray.c `pkg-config --libs --cflags gtk+-2.0` (to compile)*/

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <glib/gstdio.h>



GdkPixbuf *speaker_pixbuf;
GError *gerror = NULL;
GtkStatusIcon *tray_icon;


void tray_icon_on_click(GtkStatusIcon *status_icon,
                        gpointer user_data)
{
        //printf("Clicked on tray icon\n");
        system("/usr/bin/mixmos");
}

//gtk_status_icon_set_from_pixbuf(tray_icon,speaker_pixbuf);

static GtkStatusIcon *create_tray_icon() 
{
        //GtkStatusIcon *tray_icon;

        tray_icon = gtk_status_icon_new();
        g_signal_connect(G_OBJECT(tray_icon), "activate", G_CALLBACK(tray_icon_on_click), NULL);
                         
        speaker_pixbuf=gdk_pixbuf_new_from_file("/usr/share/pixmaps/speaker.png",&gerror);
        
        gtk_status_icon_set_from_pixbuf(tray_icon,speaker_pixbuf);
                                           
        gtk_status_icon_set_tooltip(tray_icon, "Start Mixer");
                                   
        gtk_status_icon_set_visible(tray_icon, TRUE);

        return tray_icon;
}

int main(int argc, char **argv) {
		
		GtkStatusIcon *tray_icon;

        gtk_init(&argc, &argv);
        
        tray_icon = create_tray_icon();
        
        gtk_main();

        return 0;
}
